#
# spec file for package kproperty
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kproperty
Version:        3.0.1
Release:        1.1
Summary:        Property editing framework with editor widget
License:        LGPL-2.0
Group:          Productivity/Office/Other
Url:            http://community.kde.org/KProperty
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}-translations.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A property editing framework with editor widget similar to what is known from Qt Designer

%package -n libKPropertyCore3-3
Summary:        Core library for the Property editing framework
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n libKPropertyCore3-3
The Core library for the property editing framework with editor widget similar to what is known from Qt Designer

%package -n libKPropertyWidgets3-3
Summary:        Editor Widget library for the property editing framework
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n libKPropertyWidgets3-3
The editor widget library for the property editing framework similar to what is known from Qt Designer

%package devel
Summary:        Development package for kproperty
Group:          Development/Libraries/KDE
Requires:       libKPropertyCore3-3 = %{version}
Requires:       libKPropertyWidgets3-3 = %{version}

%description devel
Development package for the property editing Framework

%prep
%setup -q -a1

%build
%cmake_kf5 -d build
%make_jobs

%install
  %kf5_makeinstall -C build
  %find_lang %{name} %{name}.lang --with-qt

%post -n libKPropertyCore3-3 -p /sbin/ldconfig
%postun -n libKPropertyCore3-3 -p /sbin/ldconfig

%files -n libKPropertyCore3-3
%defattr(-,root,root,-)
%{_libdir}/libKPropertyCore3.so.*

%post -n libKPropertyWidgets3-3 -p /sbin/ldconfig
%postun -n libKPropertyWidgets3-3 -p /sbin/ldconfig

%files -n libKPropertyWidgets3-3
%defattr(-,root,root,-)
%doc COPYING.*
%{_libdir}/libKPropertyWidgets3.so.*

%files devel
%defattr(-,root,root,-)
%doc COPYING*
%{_includedir}/KPropertyCore3/
%{_includedir}/KPropertyWidgets3/
%{_libdir}/libKPropertyWidgets3.so
%{_libdir}/libKPropertyCore3.so
%{_libdir}/cmake/KPropertyCore3/
%{_libdir}/cmake/KPropertyWidgets3/
%{_libdir}/pkgconfig/KProperty*.pc

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_datadir}/kpropertywidgets3/

%changelog
* Tue Apr  4 2017 wbauer@tmo.at
- Update to 3.0.1:
  * General
  - Make standard icon location a list of unique paths
  - Try to find private icons resource in a dir relative to local
    bin/
  - Try to locate rcc files in PATH subdirs too, useful for
    running apps from the build dir, without installing
  - There is only one translation catalog currently, load with
    kpropertycore
  - Add PainterSaver and use it to avoid problems with missing
    QPainter::restore()
  - Fix painting grid over scroll areas
  - Fix crash when while removing property that has non-lowercase
    character in its name
  * Examples
  - Fix KPropertyExample when KF5 is not in use
  - Make property editor read-only if property or property set is
    read-only
  - Add all PROJECT_STABLE* constants
  * Buildsystem
  - macro kproperty_add_icons_rcc_file: generate rcc icons in the
    builddir/bin/data/icons/ dir so it can be used within the
    builddir
  - Keep apps in the same bin dir so resources that are kept
    relative to this dir can be found without installing
  - Use ecm_install_po_files_as_qm macro for Qt Translation
    catalogs
  - Fix finding KProperty configs - use
    ecm_configure_package_config_file macro
- Add kproperty-translations.tar.xz as source, containing the
  translations from 3.0.0 (they are missing in this release)
- Replace KF5I18n BuildRequires with Qt5LinguistTools, that is used
  now for installing the translations
- Fix RPM group for the libKPropertyWidgets3-3 sub package too
* Wed Jan 11 2017 jengelh@inai.de
- RPM group fix
* Sun Jan  8 2017 tittiatcoke@gmail.com
- Initial package based on version 3.0.0
